

.lista a {
	display: block;
	padding: 8px 10px;
	width: 100%;
	font-size: 14px;
	box-sizing: border-box; /* Incluir relleno y borde en el ancho total */
	border-bottom: 1px solid var(--celeste);
	background: var(--cielo);
	text-decoration: none;
	color: var(--blanco);
}

.lista a:hover {
	background-color: var(--azul);
}

.concepto {
	display: inline-block;
	color: var(--gris);
	font-weight: bold;
	font-size: 14px;
	line-height: 20px;
}

.valor {
	display: inline-block;
	color: var(--gris);
	font-size: 14px;
	line-height: 20px;
}

.tabla_valores2 {
	display: grid;
	grid-template-columns: minmax(100px, auto) minmax(200px, auto);
}
	.tabla_valores2 > div { padding: 10px 0px; border-bottom: 1px solid var(--alpha); }
	.tabla_valores2 > div:last-child { padding-bottom: 10px; }

.tabla_materiales {
	display: grid;
	grid-template-columns: 60px 1fr 40px;
}
	.tabla_materiales > div { padding: 10px 0px; border-bottom: 1px solid var(--alpha); }
	.tabla_materiales > div:last-child { padding-bottom: 10px; }

.tabla_costos2 {
	display: grid;
	grid-template-columns: 1fr 40px;
}
	.tabla_costos2 > div { padding: 10px 0px; border-bottom: 1px solid var(--alpha); }
	.tabla_costos2 > div:last-child { padding-bottom: 10px; }

.tabla_costos3 {
	display: grid;
	grid-template-columns: 1fr 40px 50px;
}
	.tabla_costos3 > div { padding: 10px 0px; border-bottom: 1px solid var(--alpha); }
	.tabla_costos3 > div:last-child { padding-bottom: 10px; }

/*--------------------------------------------------------------
# tabla
--------------------------------------------------------------*/


table {
	margin: 0px auto 0px;
	color: var(--gris);
	text-align: left;
	font-size: 13px;
	line-height: 18px;
	background: none;
	border-radius: 8px;
	border-collapse: collapse;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
	animation: float 5s infinite;
}

table.cien { width: 100%; }

table th {
	font-size: 16px;
	font-weight: 100;
	text-align: center;
	vertical-align: middle;
	padding: 10px;
	border-bottom: 4px solid var(--cielo);
	border-right: 1px solid var(--oxford);
	background: var(--oscuro);
	color: var(--plata);
}

table th:first-child { border-top-left-radius:8px; }
table th:last-child { border-top-right-radius:8px; border-right:none; }
table th a { color: var(--blanco); }
table th strong { color: var(--cielo); font-weight:bold; }

table th.t-centro { text-align: center; }
table th.t-derecha { text-align: right; }
table th.t-izquierda { text-align: left; }
table th.sin-radio { border-radius: 0; }

table tr { border-bottom: 1px solid var(--border); }
 
table tr:hover td { background: var(--hover); color: var(--negro); }

table tr:first-child { border-top:none; }
table tr:last-child { border-bottom:none; }
table tr:nth-child(odd) td { background: var(--alternate); }
table tr:nth-child(odd):hover td { background: var(--hover); }

table tr:hover td input { color: var(--negro); }
table tr:hover td input:focus { color: var(--negro); }
table tr:hover td label { color: var(--negro); }
table tr:hover td textarea { color: var(--negro); }
table tr:hover td textarea:focus { color: var(--negro); }
table tr:hover td select { color: var(--negro); }

table td a { color: var(--negro); }

table tr:hover td a { color: var(--blanco); }

table td {
	padding: 10px 8px;
	background: var(--td);
	display: left;
	font-weight: normal;
	vertical-align: middle;
	text-align: left;
	border-right: 1px solid var(--border);
	}

table td:last-child { border-right: 0px; }
table td:first-child { text-align: left; }
table td.t-centro { text-align: center; }
table td.t-derecha { text-align: right; }
table td.t-izquierda { text-align: left; }
table td.sinmargen { padding: 0px; }
table td input.sinmargen { color: var(--blanco); }

table tr td.marino { background: var(--marino); color: var(--blanco); }
table tr td.azul { background: var(--azul); color: var(--blanco); }
table tr td.cielo { background: var(--cielo); color: var(--blanco); }
table tr td.celeste { background: var(--celeste); color: var(--blanco); }
table tr td.azulclaro { background: var(--azulclaro); color: var(--negro); }
table tr td.guinda { background: var(--guinda); color: var(--blanco); }
table tr td.rojo { background: var(--rojo); color: var(--blanco); }
table tr td.rojo2 { background: var(--rojo2); color: var(--blanco); }
table tr td.rojoclaro { background: var(--rojoclaro); color: var(--negro); }
table tr td.rosa { background: var(--rosa); color: var(--blanco); }
table tr td.violeta { background: var(--violeta); color: var(--blanco); }
table tr td.rosaclaro { background: var(--rosaclaro); color: var(--negro); }
table tr td.morado { background: var(--morado); color: var(--blanco); }
table tr td.moradoclaro { background: var(--moradoclaro); color: var(--negro); }
table tr td.cafe { background: var(--cafe); color: var(--blanco); }
table tr td.cafeclaro { background: var(--cafeclaro); color: var(--negro); }
table tr td.naranja { background: var(--naranja); color: var(--blanco); }
table tr td.naranja2 { background: var(--naranja2); color: var(--blanco); }
table tr td.naranjaclaro { background: var(--naranjaclaro); color: var(--negro); }
table tr td.amarillo { background: var(--amarillo); color: var(--blanco); }
table tr td.amarillo2 { background: var(--amarillo2); color: var(--blanco); }
table tr td.amarilloclaro { background: var(--amarilloclaro); color: var(--negro); }
table tr td.verde { background: var(--verde); color: var(--blanco); }
table tr td.verde2 { background: var(--verde2); color: var(--blanco); }
table tr td.limon { background: var(--limon); color: var(--blanco); }
table tr td.verdeclaro { background: var(--verdeclaro); color: var(--negro); }
table tr td.negro { background: var(--negro); color: var(--blanco); }
table tr td.rata { background: var(--rata); color: var(--blanco); }
table tr td.gris { background: var(--gris); color: var(--blanco); }
table tr td.gris9 { background: var(--gris9); color: var(--blanco); }
table tr td.blanco { background: var(--blanco); color: var(--blanco); }

table tr:nth-child(odd) td.marino { background: var(--marino); opacity: .7; }
table tr:nth-child(odd) td.azul { background: var(--azul); opacity: .7; }
table tr:nth-child(odd) td.cielo { background: var(--cielo); opacity: .7; }
table tr:nth-child(odd) td.celeste { background: var(--celeste); opacity: .7; }
table tr:nth-child(odd) td.azulclaro { background: var(--azulclaro); opacity: .7; }
table tr:nth-child(odd) td.guinda { background: var(--guinda); opacity: .7; }
table tr:nth-child(odd) td.rojo { background: var(--rojo); opacity: .7; }
table tr:nth-child(odd) td.rojo2 { background: var(--rojo2); opacity: .7; }
table tr:nth-child(odd) td.rojoclaro { background: var(--rojoclaro); opacity: .7; }
table tr:nth-child(odd) td.rosa { background: var(--rosa); opacity: .7; }
table tr:nth-child(odd) td.violeta { background: var(--violeta); opacity: .7; }
table tr:nth-child(odd) td.rosaclaro { background: var(--rosaclaro); opacity: .7; }
table tr:nth-child(odd) td.morado { background: var(--morado); opacity: .7; }
table tr:nth-child(odd) td.moradoclaro { background: var(--moradoclaro); opacity: .7; }
table tr:nth-child(odd) td.cafe { background: var(--cafe); opacity: .7; }
table tr:nth-child(odd) td.cafeclaro { background: var(--cafeclaro); opacity: .7; }
table tr:nth-child(odd) td.naranja { background: var(--naranja); opacity: .7; }
table tr:nth-child(odd) td.naranja2 { background: var(--naranja2); opacity: .7; }
table tr:nth-child(odd) td.naranjaclaro { background: var(--naranjaclaro); opacity: .7; }
table tr:nth-child(odd) td.amarillo { background: var(--amarillo); opacity: .7; }
table tr:nth-child(odd) td.amarillo2 { background: var(--amarillo2); opacity: .7; }
table tr:nth-child(odd) td.amarilloclaro { background: var(--amarilloclaro); opacity: .7; }
table tr:nth-child(odd) td.verde { background: var(--verde); opacity: .7; }
table tr:nth-child(odd) td.verde2 { background: var(--verde2); opacity: .7; }
table tr:nth-child(odd) td.limon { background: var(--limon); opacity: .7; }
table tr:nth-child(odd) td.verdeclaro { background: var(--verdeclaro); opacity: .7; }
table tr:nth-child(odd) td.negro { background: var(--negro); opacity: .7; }
table tr:nth-child(odd) td.rata { background: var(--rata); opacity: .7; }
table tr:nth-child(odd) td.gris { background: var(--gris); opacity: .7; }
table tr:nth-child(odd) td.gris9 { background: var(--gris9); opacity: .7; }
table tr:nth-child(odd) td.blanco { background: var(--blanco); opacity: .7; }

table tr:hover td.marino { background: var(--marino); opacity: .9; }
table tr:hover td.azul { background: var(--azul); opacity: .9; }
table tr:hover td.cielo { background: var(--cielo); opacity: .9; }
table tr:hover td.celeste { background: var(--celeste); opacity: .9; }
table tr:hover td.azulclaro { background: var(--azulclaro); opacity: .9; }
table tr:hover td.guinda { background: var(--guinda); opacity: .9; }
table tr:hover td.rojo { background: var(--rojo); opacity: .9; }
table tr:hover td.rojo2 { background: var(--rojo2); opacity: .9; }
table tr:hover td.rojoclaro { background: var(--rojoclaro); opacity: .9; }
table tr:hover td.rosa { background: var(--rosa); opacity: .9; }
table tr:hover td.violeta { background: var(--violeta); opacity: .9; }
table tr:hover td.rosaclaro { background: var(--rosaclaro); opacity: .9; }
table tr:hover td.morado { background: var(--morado); opacity: .9; }
table tr:hover td.moradoclaro { background: var(--moradoclaro); opacity: .9; }
table tr:hover td.cafe { background: var(--cafe); opacity: .9; }
table tr:hover td.cafeclaro { background: var(--cafeclaro); opacity: .9; }
table tr:hover td.naranja { background: var(--naranja); opacity: .9; }
table tr:hover td.naranja2 { background: var(--naranja2); opacity: .9; }
table tr:hover td.naranjaclaro { background: var(--naranjaclaro); opacity: .9; }
table tr:hover td.amarillo { background: var(--amarillo); opacity: .9; }
table tr:hover td.amarillo2 { background: var(--amarillo2); opacity: .9; }
table tr:hover td.amarilloclaro { background: var(--amarilloclaro); opacity: .9; }
table tr:hover td.verde { background: var(--verde); opacity: .9; }
table tr:hover td.verde2 { background: var(--verde2); opacity: .9; }
table tr:hover td.limon { background: var(--limon); opacity: .9; }
table tr:hover td.verdeclaro { background: var(--verdeclaro); opacity: .9; }
table tr:hover td.negro { background: var(--negro); opacity: .9; }
table tr:hover td.rata { background: var(--rata); opacity: .9; }
table tr:hover td.gris { background: var(--gris); opacity: .9; }
table tr:hover td.gris9 { background: var(--gris9); opacity: .9; }
table tr:hover td.blanco { background: var(--blanco); opacity: .9; }

table tr:hover td.b-verdeclaro { background: var(--verdeclaro); opacity: .9; }
table tr:hover td.b-azulclaro { background: var(--azulclaro); opacity: .9; }
table tr:hover td.b-rojoclaro { background: var(--rojoclaro); opacity: .9; }

table tr:hover td a { color: var(--negro); }
table tr:hover td a.marino { color: var(--blanco); }
table tr:hover td a.azul { color: var(--blanco); }
table tr:hover td a.cielo { color: var(--blanco); }
table tr:hover td a.guinda { color: var(--blanco); }
table tr:hover td a.rojo { color: var(--blanco); }
table tr:hover td a.rosa { color: var(--blanco); }
table tr:hover td a.violeta { color: var(--blanco); }
table tr:hover td a.morado { color: var(--blanco); }
table tr:hover td a.cafe { color: var(--blanco); }
table tr:hover td a.naranja { color: var(--blanco); }
table tr:hover td a.amarillo { color: var(--blanco); }
table tr:hover td a.verde { color: var(--blanco); }
table tr:hover td a.negro { color: var(--blanco); }
table tr:hover td a.rata { color: var(--blanco); }
table tr:hover td a.gris { color: var(--blanco); }
table tr:hover td a.gris9 { color: var(--blanco); }
table tr:hover td a.blanco { color: var(--blanco); }

table td.rosaclaro a { color: var(--rojo); }

table tr.grisclaro td { background: var(--grisclaro); }
table tr.grisclaro:nth-child(odd) td { background: var(--grisclaro2); }
table tr.grisclaro:hover td { background: var(--gris); }

table tr.rojoclaro td { background: var(--rojoclaro); }
table tr.rojoclaro:nth-child(odd) td { background: var(--rojoclaro2); }
table tr.rojoclaro:hover td { background: var(--rojo); }

table tr.verdeclaro td { background: var(--verdeclaro); }
table tr.verdeclaro:nth-child(odd) td { background: var(--limon); }
table tr.verdeclaro:hover td { background: var(--verde); }

table tr.amarilloclaro td { background: var(--amarilloclaro); }
table tr.amarilloclaro:nth-child(odd) td { background: var(--amarilloclaro2); }
table tr.amarilloclaro:hover td { background: var(--amarillo); color:var(--gris); }

table tr.moradoclaro td { background: var(--verdeclaro); }
table tr.moradoclaro:nth-child(odd) td { background: var(--limon); }
table tr.moradoclaro:hover td { background: var(--verde); }

table tfoot { border-top: 4px solid var(--oscuro); }
table tfoot td { background: var(--plata); }

table tfoot tr:last-child td:first-child { border-bottom-left-radius: 8px; }
table tfoot tr:last-child td:last-child { border-bottom-right-radius: 8px; }
table tfoot tr:hover td { background: var(--plata); color: var(--gris); }
table tfoot tr:nth-child(odd) td { background: var(--plata); }
table tfoot tr:nth-child(odd):hover td { background: var(--plata); }
table tfoot tr:hover td input { color: var(--azul); }
table tfoot tr:hover td input:focus { color: var(--azul); }



